//////////////////////////////////////////////////////////////////
// LEDs.h
//
// Display text on 8 14-segment LEDs. Call LEDRefresh at regular intervals

#ifndef _LEDS_H_
#define _LEDS_H_

void LEDInit(void);

#define SCROLL_LEFT (-1)
#define SCROLL_RIGHT (1)
#define NO_SCROLL (0)
void LEDScrollIn(char *s, char direction);
// 10ths of second per character scroll
void LEDSetScrollDelay(unsigned char delay);

// 10ths of second flashing character is on and off
void LEDSetFlashRate(unsigned char timeOn, unsigned char timeOff);

void LEDWrite(const char *s);
void LEDWriteMarquee(const char *s);
// 10ths of second per character scroll
void LEDSetMarqueeDelay(unsigned char delay);

void LEDIndicators(char ind0, char ind1, char ind2, char ind3);
void LEDRefresh(void);
// Brightness range is LED_MAX_BRIGHTNESS (brightest) to 0 (dimmest)
#define LED_MAX_BRIGHTNESS 10
#define LED_MIN_BRIGHTNESS 1
char LEDGetBrightness(void);
void LEDSetBrightness(char bright);

// Call before executing SLEEP instruction
void LEDSleep(void);

unsigned int GetAmbientLight(void);

// Returns the status of 8 buttons. 1 means the button is pressed
unsigned char LEDGetButtonState(void);

#endif //_LEDS_H_
